package org.livee.test;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class SensorCollectionAuthorization {

	public static void main(String[] args) {

		int start=0;
		int end=99;
		
		try{
			start=Integer.parseInt(args[0]);
			end=Integer.parseInt(args[1]);			
		}
		catch(Exception e){
			System.out.println("Usage: $java org.livee.test.SensorCollectionAuthorization [start] [end]");
			System.out.println(" Default start=0");
			System.out.println(" Default end=99");
		}
		System.out.println("start="+start+"; end="+end);

		
		GenerateSensorID generator=new GenerateSensorID();
		String[] combined=generator.generateCombinedID(start, end);
		
		for(int i=0;i<combined.length;i++){
			String[] rargs=new String[5];
			rargs[0]="add";
			rargs[1]="-i";
			rargs[2]=combined[i];
			rargs[3]="-p";
			rargs[4]="00000000";
			rargs[5]="-o";
			rargs[6]="Hideya Ochiai";
			rargs[7]="-m";
			rargs[8]="jo2lxq@hongo.wide.ad.jp";
			
			try{
				System.out.println("@"+i);
				org.livee.data.command.Authorization.main(rargs);
			}
			catch(Exception e){
				e.printStackTrace();
			}
		}

	}

}
